0

I have installed the oracle_fdw extension for PostgreSQL. The extension is listed when running

SELECT pg_available_extensions();

returning (oracle_fdw,1.1,"foreign data wrapper for Oracle access")

But when running CREATE EXTENSION oracle_fdw; I get the error:

[22023] ERROR: extension "oracle_fdw" has no installation script nor update path for version "1.1"

Actually when I run CREATE EXTENSION ogr_fdw; it returns the same error message:

[22023] ERROR: extension "ogr_fdw" has no installation script nor update path for version "1.0"

My other extension works fine. Using PostgreSQL version 10.3 on Windows 10.

It seems like a path is not available. I have copied the oracle_fdw.dll to ..\PostgreSQL\10\lib and control and sql files to folder ..\PostgreSQL\10\share\extension. An ORACLE_HOME environmental variable for the postmaster (..\PostgreSQL\10\pg_env.bat) has been set to C:\oreclient\instantclient_12_2

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.